Bug 806733 - 0.22.4 csprocessor explodes on IcedTea Java 6
0.22.4 csprocessor explodes on IcedTea Java 6
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 01:46 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.22.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:30:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-03-26 01:46:59 EDT
cspclient-0.22.4-1.noarch

java version "1.6.0_22"
OpenJDK Runtime Environment (IcedTea6 1.10.6) (fedora-63.1.10.6.fc15-x86_64)
OpenJDK 64-Bit Server VM (build 20.0-b11, mixed mode)

[jwulf@dhcp-1-77 cspbugs]$ csprocessor
Exception in thread "main" java.lang.UnsupportedClassVersionError: com/redhat/contentspec/client/Client : Unsupported major.minor version 51.0
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
	at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
	at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:264)
	at org.eclipse.jdt.internal.jarinjarloader.JarRsrcLoader.main(JarRsrcLoader.java:56)
Comment 1 Lee Newson 2012-03-26 01:59:54 EDT
Will fix once I get the SourceForge Repository fixed, since it gotta corrupted due to an issue with SourceForge or Eclipse Subversive.
Comment 2 Lee Newson 2012-03-26 19:05:48 EDT
Fixed in 0.22.5

Cause:
The client was compiled using Java SDK 7, as such it could only be used with Java SE 7.

Consequence:
The program wouldn't run on anything below Java SE 7 and would produce the error as seen above.

Fix:
Compile the program using Java SDK 6 or in compatibility mode.
Comment 3 Lee Newson 2013-06-06 21:30:01 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.